# Generated by rust2rpm 13
%bcond_without check
%global debug_package %{nil}

%global crate libgit2-sys
%global upstream_version 0.12.0+0.99.0

Name:           rust-%{crate}
Version:        0.12.0
Release:        1%{?dist}
Summary:        Native bindings to the libgit2 library

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libgit2-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Initial patched metadata
# * Remove libgit2 version from version field
Patch0:         libgit2-sys-fix-metadata.diff
# Doesn't seem to be upstreamable
Patch1:         0001-build.rs-always-use-pkg-config.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Native bindings to the libgit2 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       (pkgconfig(libgit2) >= 0.99 with pkgconfig(libgit2) < 0.100)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-devel %{_description}

This package contains library source intended for building other packages
which use "https" feature of "%{crate}" crate.

%files       -n %{name}+https-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+libssh2-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libssh2-sys-devel %{_description}

This package contains library source intended for building other packages
which use "libssh2-sys" feature of "%{crate}" crate.

%files       -n %{name}+libssh2-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages
which use "openssl-sys" feature of "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+ssh-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh-devel %{_description}

This package contains library source intended for building other packages
which use "ssh" feature of "%{crate}" crate.

%files       -n %{name}+ssh-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+ssh_key_from_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh_key_from_memory-devel %{_description}

This package contains library source intended for building other packages
which use "ssh_key_from_memory" feature of "%{crate}" crate.

%files       -n %{name}+ssh_key_from_memory-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# Bundled deps
rm -vrf libgit2
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if ! %{__cargo_skip_build}
echo '(pkgconfig(libgit2) >= 0.99 with pkgconfig(libgit2) < 0.100)'
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Mar 19 10:52:57 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0+0.99.0

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 0.11.0-1
- Update to 0.11.0+0.99.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Dec 25 09:30:41 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0

* Thu Nov 28 13:20:45 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2

* Tue Nov 19 11:20:13 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 18 23:40:18 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.11-5
- Do not pull optional dependencies

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.11-4
- Trivial fixes

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.11-2
- Run tests in infrastructure

* Sat Dec 15 2018 Josh Stone <jistone@redhat.com> - 0.7.11-1
- Update to 0.7.11

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.10-2
- Adapt to new packaging

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 0.7.10-1
- Update to 0.7.10

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.7.8-1
- Update to 0.7.8

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.7-2
- Fix the devel Requires

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.7-1
- Update to 0.7.7

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Josh Stone <jistone@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.19-1
- Update to 0.6.19

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-2
- Rebuild for rust-packaging v5

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.18-1
- Update to 0.6.18

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.17-1
- Update to 0.6.17

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-2
- Fix end-of-line

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.16-1
- Initial package
